This is an automated email from the ASF dual-hosted git repository.

jiafengzheng pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/doris-website.git

commit e46d56c9e3dc42e1c293a266cf432a8d715fb498
Author: jiafeng.zhang <zhang...@gmail.com>
AuthorDate: Tue Sep 27 13:52:08 2022 +0800

    add local build docs
---
 i18n/zh-CN/local_build_docs.sh | 51 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

diff --git a/i18n/zh-CN/local_build_docs.sh b/i18n/zh-CN/local_build_docs.sh
new file mode 100644
index 00000000000..f94ea8406f2
--- /dev/null
+++ b/i18n/zh-CN/local_build_docs.sh
@@ -0,0 +1,51 @@
+
+
+#!/usr/bin/env bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+##############################################################
+# This is a native document format compilation check script
+##############################################################
+
+#!/bin/bash
+
+set -eo pipefail
+
+git clone https://github.com/apache/doris.git
+mkdir versioned_docs/version-dev/
+cp -R doris/docs/en/docs/* versioned_docs/version-dev/
+cp -R doris/docs/sidebars.json versioned_sidebars/version-dev-sidebars.json
+mkdir i18n/zh-CN/docusaurus-plugin-content-docs/version-dev
+cp -R doris/docs/zh-CN/docs/* 
i18n/zh-CN/docusaurus-plugin-content-docs/version-dev/
+cp -R doris/docs/dev.json 
i18n/zh-CN/docusaurus-plugin-content-docs/version-dev.json
+
+mkdir -p community
+cp -R doris/docs/en/community/* community/
+mkdir -p i18n/zh-CN/docusaurus-plugin-content-docs-community/current/
+cp -R doris/docs/zh-CN/community/* 
i18n/zh-CN/docusaurus-plugin-content-docs-community/current/
+cp -R doris/docs/sidebarsCommunity.json .
+
+cp -R doris/docs/images static/
+npm install -g yarn
+yarn cache clean
+yarn && yarn build
+
+
+echo "***************************************"
+echo "Docs build success"
+echo "***************************************"
\ No newline at end of file


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscr...@doris.apache.org
For additional commands, e-mail: commits-h...@doris.apache.org

Reply via email to